/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { RadialBaseDescription } from "./RadialBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let AnchoredRadialSeriesDescription = /*@__PURE__*/ (() => {
    class AnchoredRadialSeriesDescription extends RadialBaseDescription {
        get_type() {
            return "AnchoredRadialSeries";
        }
        constructor() {
            super();
            this.fh = null;
            this.fc = null;
            this.ff = null;
            this.fg = null;
            this.fe = null;
            this.fd = null;
            this.fb = null;
            this.e5 = 0;
            this.e3 = null;
            this.e7 = 0;
            this.e8 = 0;
        }
        get valueMemberPath() {
            return this.fh;
        }
        set valueMemberPath(a) {
            this.fh = a;
            this.g("ValueMemberPath");
        }
        get highlightedValueMemberPath() {
            return this.fc;
        }
        set highlightedValueMemberPath(a) {
            this.fc = a;
            this.g("HighlightedValueMemberPath");
        }
        get valueMemberAsLegendLabel() {
            return this.ff;
        }
        set valueMemberAsLegendLabel(a) {
            this.ff = a;
            this.g("ValueMemberAsLegendLabel");
        }
        get valueMemberAsLegendUnit() {
            return this.fg;
        }
        set valueMemberAsLegendUnit(a) {
            this.fg = a;
            this.g("ValueMemberAsLegendUnit");
        }
        get trendLineType() {
            return this.fe;
        }
        set trendLineType(a) {
            this.fe = a;
            this.g("TrendLineType");
        }
        get trendLineBrush() {
            return this.fd;
        }
        set trendLineBrush(a) {
            this.fd = a;
            this.g("TrendLineBrush");
        }
        get actualTrendLineBrush() {
            return this.fb;
        }
        set actualTrendLineBrush(a) {
            this.fb = a;
            this.g("ActualTrendLineBrush");
        }
        get trendLineThickness() {
            return this.e5;
        }
        set trendLineThickness(a) {
            this.e5 = a;
            this.g("TrendLineThickness");
        }
        get trendLineDashArray() {
            return this.e3;
        }
        set trendLineDashArray(a) {
            this.e3 = a;
            this.g("TrendLineDashArray");
        }
        get trendLinePeriod() {
            return this.e7;
        }
        set trendLinePeriod(a) {
            this.e7 = a;
            this.g("TrendLinePeriod");
        }
        get trendLineZIndex() {
            return this.e8;
        }
        set trendLineZIndex(a) {
            this.e8 = a;
            this.g("TrendLineZIndex");
        }
    }
    AnchoredRadialSeriesDescription.$t = /*@__PURE__*/ markType(AnchoredRadialSeriesDescription, 'AnchoredRadialSeriesDescription', RadialBaseDescription.$);
    return AnchoredRadialSeriesDescription;
})();
